Uses of Class
io.helidon.json.JsonObject
Packages that use JsonObject
Package
Description
JSON support for Helidon Database Client.
Helidon JSON Media Support.
Helidon JSON Processor.
JSON Schema annotations and lookup.
Helidon implementation of the
Jackson Smile binary JSON specification.
Core classes used by both the JSON-RPC server and gRPC client.
Helidon OpenAPI support.
OpenAPI 3.0 support.
JWT (JSON web token) support.
JWK (JSON web key) support.
Open ID Connect (OIDC) classes usable from all OIDC related components.
Helidon WebClient JSON-RPC Support.
Helidon WebServer JSON-RPC Support.
-
Uses of JsonObject in io.helidon.dbclient.json
Classes in io.helidon.dbclient.json that implement interfaces with type arguments of type JsonObjectMethods in io.helidon.dbclient.json that return JsonObjectMethods in io.helidon.dbclient.json with parameters of type JsonObjectModifier and TypeMethodDescriptionJsonMapper.toIndexedParameters(JsonObject value) JsonMapper.toNamedParameters(JsonObject value) -
Uses of JsonObject in io.helidon.http.media.json
Fields in io.helidon.http.media.json with type parameters of type JsonObjectModifier and TypeFieldDescriptionstatic final GenericType<JsonObject> JsonSupport.JSON_OBJECT_TYPEGeneric type of this type, as it is required when this media type is used programmatically.Methods in io.helidon.http.media.json that return types with arguments of type JsonObjectModifier and TypeMethodDescriptionstatic EntityReader<JsonObject> JsonSupport.serverRequestReader()Create a JSON reader with default settings.static EntityWriter<JsonObject> JsonSupport.serverResponseWriter()Create a JSON writer with default settings. -
Uses of JsonObject in io.helidon.json
Classes in io.helidon.json that implement interfaces with type arguments of type JsonObjectModifier and TypeClassDescriptionstatic final classBuilder for creating JsonObject instances with a fluent API.Methods in io.helidon.json that return JsonObjectModifier and TypeMethodDescriptionJsonValue.asObject()Cast this value to a JsonObject if it is of object type.JsonObject.Builder.build()Builds the JsonObject from the current builder state.static JsonObjectCreate a JsonObject from a map of string keys to JsonValue instances.static JsonObjectJsonObject.empty()Returns the shared empty JSON object instance.JsonObject.objectValue(String key, JsonObject defaultValue) Return the JsonObject value associated with the specified key, or the default value if the key is not present.JsonParser.readJsonObject()Reads a JSON object from the current position.JsonParserBase.readJsonObject()ObjectStartParser.readJsonObject()Methods in io.helidon.json that return types with arguments of type JsonObjectModifier and TypeMethodDescriptionJsonObject.objectValue(String key) Return the JsonObject value associated with the specified key as an Optional.Methods in io.helidon.json with parameters of type JsonObjectModifier and TypeMethodDescriptionJsonObject.Builder.from(JsonObject object) Copies all properties from the provided object into this builder.JsonObject.objectValue(String key, JsonObject defaultValue) Return the JsonObject value associated with the specified key, or the default value if the key is not present. -
Uses of JsonObject in io.helidon.json.schema
Methods in io.helidon.json.schema that return JsonObjectModifier and TypeMethodDescriptiondefault JsonObjectSchema.generateObject()Generate theJsonObjectobject of this schema.default JsonObjectSchema.generateObjectNoKeywords()Generate theJsonObjectobject of this schema without schema keywords. -
Uses of JsonObject in io.helidon.json.smile
Methods in io.helidon.json.smile that return JsonObject -
Uses of JsonObject in io.helidon.jsonrpc.core
Methods in io.helidon.jsonrpc.core that return JsonObjectModifier and TypeMethodDescriptionJsonRpcError.asJsonObject()Access the error as a JSON object.JsonRpcParams.asJsonObject()Access all request params as a single JSON object.JsonRpcResult.asJsonObject()Access a response result as a JSON object.static JsonObjectJsonUtil.toJsonObject(Object object) Convert a bound Java object into a JSON object.Methods in io.helidon.jsonrpc.core with parameters of type JsonObjectModifier and TypeMethodDescriptionstatic JsonRpcErrorJsonRpcError.create(JsonObject error) Create an instance from a JSON object.static <T> TJsonUtil.fromJson(JsonObject object, Class<T> type) Convert a JSON object into a Java object. -
Uses of JsonObject in io.helidon.openapi
Methods in io.helidon.openapi that return JsonObjectModifier and TypeMethodDescriptionprotected static JsonObjectOpenApiSourceBase.arraySchema(JsonObject items) Create an array schema object.protected static JsonObjectCreate a simple schema object for a JSON type.protected static JsonObjectCreate a schema reference object.OpenApiDocument.toJsonObject()Convert this document model to a structured JSON object.Methods in io.helidon.openapi with parameters of type JsonObjectModifier and TypeMethodDescriptionprotected static JsonObjectOpenApiSourceBase.arraySchema(JsonObject items) Create an array schema object.OpenApiDocument.SecuritySchemeBuilder.flows(JsonObject flows) Set OAuth flows object.OpenApiDocument.LinkBuilder.parameters(JsonObject parameters) Set parameters. -
Uses of JsonObject in io.helidon.openapi.v30
Methods in io.helidon.openapi.v30 that return JsonObjectModifier and TypeMethodDescriptionstatic JsonObjectOpenApiDocumentMapperSupport.jsonObject(Map<String, Object> source) Convert key-to-value data into a JSON object.Methods in io.helidon.openapi.v30 with parameters of type JsonObjectModifier and TypeMethodDescriptionOpenApiDocumentMapperSupport.objectMap(JsonObject object) Convert a JSON object to key-to-value data.static OpenApiDocumentOpenApiDocumentReader.read(JsonObject source) Read a document. -
Uses of JsonObject in io.helidon.security.jwt
Methods in io.helidon.security.jwt that return JsonObjectModifier and TypeMethodDescriptionJwt.headerJsonObject()Create a JSON header object.JwtHeaders.headerJsonObject()Create a JSON header object.JwtUtil.Address.jsonObject()Create a json representation of this address.Jwt.payloadJsonObject()Create a JSON payload object.Methods in io.helidon.security.jwt with parameters of type JsonObjectModifier and TypeMethodDescriptionstatic BigIntegerJwtUtil.asBigInteger(JsonObject json, String key, String description) Extract a key value from json object that is base64-url encoded and convert it to big integer.static byte[]JwtUtil.asByteArray(JsonObject json, String key, String description) Extract a key value from json object that is a base64-url encoded byte array.static StringJwtUtil.asString(JsonObject json, String key, String description) Extract a key value from json object that is string.static Optional<BigInteger> JwtUtil.getBigInteger(JsonObject json, String key, String description) Extract a key value from json object that is base64-url encoded and convert it to big integer if present.static Optional<byte[]> JwtUtil.getByteArray(JsonObject json, String key, String description) Extract a key value from json object that is a base64-url encoded byte array, if present.JwtUtil.getString(JsonObject json, String key) Extract a key value from json object that is string if present.JwtUtil.getStrings(JsonObject json, String key) Extract a key value from json object that is a list of strings if present.Constructors in io.helidon.security.jwt with parameters of type JsonObjectModifierConstructorDescriptionAddress(JsonObject jsonObject) Create an address object from json representation. -
Uses of JsonObject in io.helidon.security.jwt.jwk
Methods in io.helidon.security.jwt.jwk with parameters of type JsonObjectModifier and TypeMethodDescriptionstatic JwkJwk.create(JsonObject json) Create an instance from Json object.static JwkECJwkEC.create(JsonObject json) Create an instance from Json object.static JwkKeysJwkKeys.create(JsonObject json) Create Jwk keys from its JSON representation.static JwkOctetJwkOctet.create(JsonObject json) Create an instance from Json object.static JwkRSAJwkRSA.create(JsonObject json) Create an instance from Json object.JwkEC.Builder.fromJson(JsonObject json) Update this builder from JWK in json format.JwkOctet.Builder.fromJson(JsonObject json) Update this builder from JWK in json format.JwkRSA.Builder.fromJson(JsonObject json) Update this builder from JWK in json format.JwkKeys.Builder.json(JsonObject json) Load keys from JSON. -
Uses of JsonObject in io.helidon.security.providers.oidc.common
Methods in io.helidon.security.providers.oidc.common that return JsonObjectModifier and TypeMethodDescriptionTenantConfig.oidcMetadataJsonObject()OIDC metadata in Helidon JSON.Methods in io.helidon.security.providers.oidc.common with parameters of type JsonObjectModifier and TypeMethodDescriptionBaseBuilder.oidcMetadataJsonObject(JsonObject metadata) Helidon JSON with the OIDC metadata. -
Uses of JsonObject in io.helidon.webclient.jsonrpc
Methods in io.helidon.webclient.jsonrpc that return JsonObjectModifier and TypeMethodDescriptionJsonRpcClientRequest.asJsonObject()Get a complete representation of this request as a JSON object.JsonRpcClientResponse.asJsonObject()Get a complete response representation as a JSON object. -
Uses of JsonObject in io.helidon.webserver.jsonrpc
Methods in io.helidon.webserver.jsonrpc that return JsonObjectModifier and TypeMethodDescriptionJsonRpcRequest.asJsonObject()Get a complete request as a JSON object.JsonRpcResponse.asJsonObject()Get a complete response as a JSON object.Methods in io.helidon.webserver.jsonrpc with parameters of type JsonObjectModifier and TypeMethodDescriptionJsonRpcErrorHandler.handle(ServerRequest req, JsonObject jsonObject) Handler for a JSON-RPC erroneous request.